osl::move_generator::GenerateOpen Struct Reference

`#include <open.h>`

## Static Public Member Functions

template<class Action>
static void | generate (Player pl, const NumEffectState &state, Piece p, Action &action, Square to, Direction dir)

## Detailed Description

Definition at line 25 of file open.h.

## Member Function Documentation

## generate()

template<class Action>

void osl::move_generator::GenerateOpen::generate | ( | Player | pl,
|  | const NumEffectState & | state,
|  | Piece | p,
|  | Action & | action,
|  | Square | to,
|  | Direction | dir )

inline static

Definition at line 29 of file open.h.

References osl::BLACK, and generate().

Referenced by generate().

The documentation for this struct was generated from the following file:

- open.h